<?php // phpcs:ignore - @generation-checksum IN-36-4242
/**
 * Country Class for India (IN).
 *
 * State/province count: 36
 * City count: 4242
 * City count per state/province:
 * - UP: 624 cities
 * - MH: 574 cities
 * - TN: 350 cities
 * - GJ: 311 cities
 * - MP: 275 cities
 * - WB: 260 cities
 * - KA: 242 cities
 * - RJ: 187 cities
 * - AP: 168 cities
 * - BR: 132 cities
 * - PB: 115 cities
 * - OR: 113 cities
 * - KL: 107 cities
 * - TG: 89 cities
 * - AS: 87 cities
 * - HR: 83 cities
 * - CT: 78 cities
 * - JH: 77 cities
 * - HP: 57 cities
 * - JK: 56 cities
 * - UT: 55 cities
 * - GA: 50 cities
 * - AR: 26 cities
 * - TR: 19 cities
 * - DL: 19 cities
 * - ML: 18 cities
 * - MZ: 15 cities
 * - MN: 13 cities
 * - SK: 12 cities
 * - NL: 10 cities
 * - DH: 7 cities
 * - AN: 4 cities
 * - PY: 4 cities
 * - LA: 2 cities
 * - LD: 2 cities
 * - CH: 1 cities
 *
 * @package WP_Ultimo\Country
 * @since 2.0.11
 */

namespace WP_Ultimo\Country;

// Exit if accessed directly
defined('ABSPATH') || exit;

/**
 * Country Class for India (IN).
 *
 * IMPORTANT:
 * This file is generated by build scripts, do not
 * change it directly or your changes will be LOST!
 *
 * @since 2.0.11
 *
 * @property-read string $code
 * @property-read string $currency
 * @property-read int $phone_code
 */
class Country_IN extends Country {

	use \WP_Ultimo\Traits\Singleton;

	/**
	 * General country attributes.
	 *
	 * This might be useful, might be not.
	 * In case of doubt, keep it.
	 *
	 * @since 2.0.11
	 * @var array
	 */
	protected $attributes = [
		'country_code' => 'IN',
		'currency'     => 'INR',
		'phone_code'   => 91,
	];

	/**
	 * The type of nomenclature used to refer to the country sub-divisions.
	 *
	 * @since 2.0.11
	 * @var string
	 */
	protected $state_type = 'unknown';

	/**
	 * Return the country name.
	 *
	 * @since 2.0.11
	 * @return string
	 */
	public function get_name() {

		return __('India', 'wp-multisite-waas');
	}

	/**
	 * Returns the list of states for IN.
	 *
	 * @since 2.0.11
	 * @return array The list of state/provinces for the country.
	 */
	protected function states() {

		return [
			'AN' => __('Andaman and Nicobar Islands', 'wp-multisite-waas'),
			'AP' => __('Andhra Pradesh', 'wp-multisite-waas'),
			'AR' => __('Arunachal Pradesh', 'wp-multisite-waas'),
			'AS' => __('Assam', 'wp-multisite-waas'),
			'BR' => __('Bihar', 'wp-multisite-waas'),
			'CH' => __('Chandigarh', 'wp-multisite-waas'),
			'CT' => __('Chhattisgarh', 'wp-multisite-waas'),
			'DH' => __('Dadra and Nagar Haveli and Daman and Diu', 'wp-multisite-waas'),
			'DL' => __('Delhi', 'wp-multisite-waas'),
			'GA' => __('Goa', 'wp-multisite-waas'),
			'GJ' => __('Gujarat', 'wp-multisite-waas'),
			'HR' => __('Haryana', 'wp-multisite-waas'),
			'HP' => __('Himachal Pradesh', 'wp-multisite-waas'),
			'JK' => __('Jammu and Kashmir', 'wp-multisite-waas'),
			'JH' => __('Jharkhand', 'wp-multisite-waas'),
			'KA' => __('Karnataka', 'wp-multisite-waas'),
			'KL' => __('Kerala', 'wp-multisite-waas'),
			'LA' => __('Ladakh', 'wp-multisite-waas'),
			'LD' => __('Lakshadweep', 'wp-multisite-waas'),
			'MP' => __('Madhya Pradesh', 'wp-multisite-waas'),
			'MH' => __('Maharashtra', 'wp-multisite-waas'),
			'MN' => __('Manipur', 'wp-multisite-waas'),
			'ML' => __('Meghalaya', 'wp-multisite-waas'),
			'MZ' => __('Mizoram', 'wp-multisite-waas'),
			'NL' => __('Nagaland', 'wp-multisite-waas'),
			'OR' => __('Odisha', 'wp-multisite-waas'),
			'PY' => __('Puducherry', 'wp-multisite-waas'),
			'PB' => __('Punjab', 'wp-multisite-waas'),
			'RJ' => __('Rajasthan', 'wp-multisite-waas'),
			'SK' => __('Sikkim', 'wp-multisite-waas'),
			'TN' => __('Tamil Nadu', 'wp-multisite-waas'),
			'TG' => __('Telangana', 'wp-multisite-waas'),
			'TR' => __('Tripura', 'wp-multisite-waas'),
			'UP' => __('Uttar Pradesh', 'wp-multisite-waas'),
			'UT' => __('Uttarakhand', 'wp-multisite-waas'),
			'WB' => __('West Bengal', 'wp-multisite-waas'),
		];
	}
}
