<?php // phpcs:ignore - @generation-checksum TR-81-1347
/**
 * Country Class for Turkey (TR).
 *
 * State/province count: 81
 * City count: 1347
 * City count per state/province:
 * - 77: 12 cities
 * - 73: 38 cities
 * - 72: 23 cities
 * - 66: 15 cities
 * - 65: 15 cities
 * - 64: 12 cities
 * - 63: 31 cities
 * - 62: 11 cities
 * - 61: 19 cities
 * - 60: 12 cities
 * - 59: 16 cities
 * - 58: 19 cities
 * - 56: 22 cities
 * - 55: 18 cities
 * - 54: 17 cities
 * - 53: 11 cities
 * - 52: 21 cities
 * - 50: 10 cities
 * - 48: 26 cities
 * - 47: 64 cities
 * - 46: 14 cities
 * - 45: 19 cities
 * - 44: 14 cities
 * - 43: 13 cities
 * - 42: 38 cities
 * - 41: 25 cities
 * - 38: 18 cities
 * - 37: 20 cities
 * - 35: 43 cities
 * - 34: 40 cities
 * - 33: 18 cities
 * - 32: 15 cities
 * - 31: 40 cities
 * - 28: 17 cities
 * - 27: 15 cities
 * - 26: 18 cities
 * - 25: 22 cities
 * - 24: 10 cities
 * - 23: 13 cities
 * - 22: 10 cities
 * - 21: 28 cities
 * - 20: 24 cities
 * - 19: 15 cities
 * - 18: 12 cities
 * - 17: 18 cities
 * - 16: 39 cities
 * - 15: 14 cities
 * - 11: 11 cities
 * - 10: 21 cities
 * - 09: 25 cities
 * - 81: 8 cities
 * - 08: 10 cities
 * - 80: 7 cities
 * - 79: 4 cities
 * - 78: 7 cities
 * - 76: 3 cities
 * - 75: 6 cities
 * - 74: 4 cities
 * - 07: 37 cities
 * - 71: 9 cities
 * - 70: 7 cities
 * - 69: 4 cities
 * - 68: 9 cities
 * - 67: 8 cities
 * - 06: 30 cities
 * - 57: 9 cities
 * - 51: 6 cities
 * - 49: 7 cities
 * - 40: 7 cities
 * - 39: 9 cities
 * - 36: 8 cities
 * - 03: 20 cities
 * - 30: 6 cities
 * - 29: 9 cities
 * - 02: 11 cities
 * - 14: 9 cities
 * - 13: 9 cities
 * - 12: 9 cities
 * - 01: 17 cities
 * - 05: 9 cities
 * - 04: 8 cities
 *
 * @package WP_Ultimo\Country
 * @since 2.0.11
 */

namespace WP_Ultimo\Country;

// Exit if accessed directly
defined('ABSPATH') || exit;

/**
 * Country Class for Turkey (TR).
 *
 * IMPORTANT:
 * This file is generated by build scripts, do not
 * change it directly or your changes will be LOST!
 *
 * @since 2.0.11
 *
 * @property-read string $code
 * @property-read string $currency
 * @property-read int $phone_code
 */
class Country_TR extends Country {

	use \WP_Ultimo\Traits\Singleton;

	/**
	 * General country attributes.
	 *
	 * This might be useful, might be not.
	 * In case of doubt, keep it.
	 *
	 * @since 2.0.11
	 * @var array
	 */
	protected $attributes = [
		'country_code' => 'TR',
		'currency'     => 'TRY',
		'phone_code'   => 90,
	];

	/**
	 * The type of nomenclature used to refer to the country sub-divisions.
	 *
	 * @since 2.0.11
	 * @var string
	 */
	protected $state_type = 'unknown';

	/**
	 * Return the country name.
	 *
	 * @since 2.0.11
	 * @return string
	 */
	public function get_name() {

		return __('Turkey', 'wp-multisite-waas');
	}

	/**
	 * Returns the list of states for TR.
	 *
	 * @since 2.0.11
	 * @return array The list of state/provinces for the country.
	 */
	protected function states() {

		return [
			'10' => __('Balıkesir', 'wp-multisite-waas'),
			'11' => __('Bilecik', 'wp-multisite-waas'),
			'12' => __('Bingöl', 'wp-multisite-waas'),
			'13' => __('Bitlis', 'wp-multisite-waas'),
			'14' => __('Bolu', 'wp-multisite-waas'),
			'15' => __('Burdur', 'wp-multisite-waas'),
			'16' => __('Bursa', 'wp-multisite-waas'),
			'17' => __('Çanakkale', 'wp-multisite-waas'),
			'18' => __('Çankırı', 'wp-multisite-waas'),
			'19' => __('Çorum', 'wp-multisite-waas'),
			'20' => __('Denizli', 'wp-multisite-waas'),
			'21' => __('Diyarbakır', 'wp-multisite-waas'),
			'22' => __('Edirne', 'wp-multisite-waas'),
			'23' => __('Elazığ', 'wp-multisite-waas'),
			'24' => __('Erzincan', 'wp-multisite-waas'),
			'25' => __('Erzurum', 'wp-multisite-waas'),
			'26' => __('Eskişehir', 'wp-multisite-waas'),
			'27' => __('Gaziantep', 'wp-multisite-waas'),
			'28' => __('Giresun', 'wp-multisite-waas'),
			'29' => __('Gümüşhane', 'wp-multisite-waas'),
			'30' => __('Hakkâri', 'wp-multisite-waas'),
			'31' => __('Hatay', 'wp-multisite-waas'),
			'32' => __('Isparta', 'wp-multisite-waas'),
			'33' => __('Mersin', 'wp-multisite-waas'),
			'34' => __('Istanbul', 'wp-multisite-waas'),
			'35' => __('İzmir', 'wp-multisite-waas'),
			'36' => __('Kars', 'wp-multisite-waas'),
			'37' => __('Kastamonu', 'wp-multisite-waas'),
			'38' => __('Kayseri', 'wp-multisite-waas'),
			'39' => __('Kırklareli', 'wp-multisite-waas'),
			'40' => __('Kırşehir', 'wp-multisite-waas'),
			'41' => __('Kocaeli', 'wp-multisite-waas'),
			'42' => __('Konya', 'wp-multisite-waas'),
			'43' => __('Kütahya', 'wp-multisite-waas'),
			'44' => __('Malatya', 'wp-multisite-waas'),
			'45' => __('Manisa', 'wp-multisite-waas'),
			'46' => __('Kahramanmaraş', 'wp-multisite-waas'),
			'47' => __('Mardin', 'wp-multisite-waas'),
			'48' => __('Muğla', 'wp-multisite-waas'),
			'49' => __('Muş', 'wp-multisite-waas'),
			'50' => __('Nevşehir', 'wp-multisite-waas'),
			'51' => __('Niğde', 'wp-multisite-waas'),
			'52' => __('Ordu', 'wp-multisite-waas'),
			'53' => __('Rize', 'wp-multisite-waas'),
			'54' => __('Sakarya', 'wp-multisite-waas'),
			'55' => __('Samsun', 'wp-multisite-waas'),
			'56' => __('Siirt', 'wp-multisite-waas'),
			'57' => __('Sinop', 'wp-multisite-waas'),
			'58' => __('Sivas', 'wp-multisite-waas'),
			'59' => __('Tekirdağ', 'wp-multisite-waas'),
			'60' => __('Tokat', 'wp-multisite-waas'),
			'61' => __('Trabzon', 'wp-multisite-waas'),
			'62' => __('Tunceli', 'wp-multisite-waas'),
			'63' => __('Şanlıurfa', 'wp-multisite-waas'),
			'64' => __('Uşak', 'wp-multisite-waas'),
			'65' => __('Van', 'wp-multisite-waas'),
			'66' => __('Yozgat', 'wp-multisite-waas'),
			'67' => __('Zonguldak', 'wp-multisite-waas'),
			'68' => __('Aksaray', 'wp-multisite-waas'),
			'69' => __('Bayburt', 'wp-multisite-waas'),
			'70' => __('Karaman', 'wp-multisite-waas'),
			'71' => __('Kırıkkale', 'wp-multisite-waas'),
			'72' => __('Batman', 'wp-multisite-waas'),
			'73' => __('Şırnak', 'wp-multisite-waas'),
			'74' => __('Bartın', 'wp-multisite-waas'),
			'75' => __('Ardahan', 'wp-multisite-waas'),
			'76' => __('Iğdır', 'wp-multisite-waas'),
			'77' => __('Yalova', 'wp-multisite-waas'),
			'78' => __('Karabük', 'wp-multisite-waas'),
			'79' => __('Kilis', 'wp-multisite-waas'),
			'80' => __('Osmaniye', 'wp-multisite-waas'),
			'81' => __('Düzce', 'wp-multisite-waas'),
			'01' => __('Adana', 'wp-multisite-waas'),
			'02' => __('Adıyaman', 'wp-multisite-waas'),
			'03' => __('Afyonkarahisar', 'wp-multisite-waas'),
			'05' => __('Amasya', 'wp-multisite-waas'),
			'06' => __('Ankara', 'wp-multisite-waas'),
			'07' => __('Antalya', 'wp-multisite-waas'),
			'08' => __('Artvin', 'wp-multisite-waas'),
			'09' => __('Aydın', 'wp-multisite-waas'),
			'04' => __('Ağrı', 'wp-multisite-waas'),
		];
	}
}
